## libacpi 0.2

=== Makefile ===
# libacpi - general purpose acpi library
# (C)opyright 2007 Nico Golde <nico@ngolde.de>

include config.mk

SRC = libacpi.c list.c
SRC_test = test-libacpi.c libacpi.c list.c
OBJ = ${SRC:.c=.o}
OBJ_test = ${SRC_test:.c=.o}

all: options libacpi.a libacpi.so test-libacpi

options:
	@echo libacpi build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "CC       = ${CC}"
	@echo "SOFLAGS  = ${SOFLAGS}"
	@echo "LD       = ${LD}"

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

${OBJ}: config.mk libacpi.h

libacpi.a: ${OBJ}
	@echo AR $@
	@${AR} $@ ${OBJ}
	@${RANLIB} $@

libacpi.so: ${OBJ}
	@echo LD $@
	@${LD} ${SOFLAGS} -o $@.${SOVERSION} ${OBJ}

test-libacpi: ${OBJ_test}
	@echo LD $@
	@${LD} -o $@ ${OBJ_test} ${LDFLAGS}
	@strip $@

install: all
	@echo installing header to ${DESTDIR}${PREFIX}/include
	@mkdir -p ${DESTDIR}${PREFIX}/include
	@cp -f libacpi.h ${DESTDIR}${PREFIX}/include
	@chmod 644 ${DESTDIR}${PREFIX}/include/libacpi.h
	@echo installing library to ${DESTDIR}${PREFIX}/lib
	@mkdir -p ${DESTDIR}${PREFIX}/lib
	@cp -f libacpi.a ${DESTDIR}${PREFIX}/lib
	@chmod 644 ${DESTDIR}${PREFIX}/lib/libacpi.a
	@cp -f ${SONAME} ${DESTDIR}${PREFIX}/lib/
	@chmod 644 ${DESTDIR}${PREFIX}/lib/${SONAME}
	@ln -s ${SONAME} ${DESTDIR}${PREFIX}/lib/libacpi.so
	@echo installing test-libacpi to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f test-libacpi ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/test-libacpi
	@echo installing manual page to ${DESTDIR}${MANPREFIX}/man3
	@mkdir -p ${DESTDIR}${MANPREFIX}/man3
	@cp libacpi.3 ${DESTDIR}${MANPREFIX}/man3
	@echo installing documentation and misc files to ${DESTDIR}${PREFIX}/share/doc/libacpi
	@mkdir -p ${DESTDIR}${PREFIX}/share/doc/libacpi
	@cp -r AUTHORS CHANGES README LICENSE doc ${DESTDIR}${PREFIX}/share/doc/libacpi
	@echo finished installation

uninstall:
	@echo removing header file from ${DESTDIR}${PREFIX}/include
	@rm -f ${DESTDIR}${PREFIX}/include/libacpi.h
	@echo removing library file from ${DESTDIR}${PREFIX}/lib
	@rm -f ${DESTDIR}${PREFIX}/lib/libacpi.a
	@echo removing shared object file from ${DESTDIR}${PREFIX}/lib
	@rm -f ${DESTDIR}${PREFIX}/lib/libacpi.so
	@rm -f ${DESTDIR}${PREFIX}/lib/${SONAME}
	@echo removing test-libacpi client from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/test-libacpi
	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man3
	@rm -f ${DESTDIR}${MANPREFIX}/man3/libacpi.3
	@echo removing documentation and misc files from ${DESTDIR}${PREFIX}/share/doc/libacpi
	@rm -rf ${DESTDIR}${PREFIX}/share/doc/libacpi
	@echo uninstalled everything

dist:
	@echo creating dist tarball
	@mkdir -p libacpi-${VERSION}
	@cp libacpi.3 TODO AUTHORS CHANGES config.mk Makefile *.c *.h README LICENSE Doxyfile libacpi-${VERSION}
	@(cd libacpi-${VERSION}; doxygen)
	@rm -f libacpi-${VERSION}/Doxyfile
	@tar -cf libacpi-${VERSION}.tar libacpi-${VERSION}
	@gzip libacpi-${VERSION}.tar
	@rm -rf libacpi-${VERSION}

clean:
	@echo cleaning
	@rm -f libacpi.a libacpi.so* test-libacpi ${OBJ_test} libacpi-${VERSION}.tar.gz

.PHONY: all options clean dist install uninstall

=== debian/changelog ===
libacpi (0.2-7) unstable; urgency=medium

  * Fixed FTBFS (Closes: #957422)
  * Removed Section field of libacpi0 in debian/control
  * Removed -Wl,--as-needed from debian/rules

 -- Seunghun Han <kkamagui@gmail.com>  Mon, 04 May 2020 01:42:12 +0900

libacpi (0.2-6) unstable; urgency=medium

  * New maintainer (Closes: #842559)
  * Changed debhelper to 12
  * Added CFLAGS to remove snprintf warning
  * Fixed debian/copyright warning
  * Fixed buffer size miscalculation bug
  * Enabled hardening flags

 -- Seunghun Han <kkamagui@gmail.com>  Mon, 30 Mar 2020 23:46:40 +0900

libacpi (0.2-5) unstable; urgency=medium

  * QA upload.
  * Change owner to Debian QA Group, see bug #842559. (Closes: #817875)
  * Changed Standards-Version from 3.9.7 to 4.3.0.
  * Fix FTCBFS (Closes: #865833)
  * Dropped obsolete Testsuite field from d/control.
  * Switched d/rules to dh.
  * Fixed typos in manual page.  Thank you lintian.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 19 Jan 2019 17:59:14 +0000

libacpi (0.2-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change source format to 3.0 (quilt).
  * Adjusted library to handle new file names in
    /sys/ (Closes: #479096, #484264).
  * Added simple autopkgtest to the package.  Patch from
    Vibhav Pant and Ubuntu (Closes: #701683).
  * Changed Standards-Version from 3.7.3 to 3.9.7.
  * Switched from debhelper 5 to 9.
  * Added 'arm64' to list of build architectures (Closes: #791969).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 Mar 2016 09:37:08 +0100

libacpi (0.2-4) unstable; urgency=low

  * Fix interface incompatibilities introduced by last patch (Closes: #464276).

 -- Nico Golde <nion@debian.org>  Wed, 06 Feb 2008 11:31:13 +0100

libacpi (0.2-3) unstable; urgency=low

  * Temporary patch libacpi to make battery and ac status work with
    kernels >= 2.6.24. There will be a fixed upstream version
    which uses sysfs and procfs as fallback soon. Many thanks
    to Joseph Spillner for the patch! (Closes: #463986, #463982).

 -- Nico Golde <nion@debian.org>  Mon, 04 Feb 2008 22:35:35 +0100

libacpi (0.2-2) unstable; urgency=low

  * Bumped Standards Version, no changes needed.
  * Switched from Homepage tag to Homepage control field.

 -- Nico Golde <nion@debian.org>  Wed, 02 Jan 2008 14:42:01 +0100

libacpi (0.2-1) unstable; urgency=low

  * New upstream release.
    Fixed double header inclusion (Closes: #433399).

 -- Nico Golde <nion@debian.org>  Sun, 29 Jul 2007 14:13:59 +0200

libacpi (0.1-2) unstable; urgency=low

  * Just build this package for amd64,i386 and ia64 since
    the other archs have on ACPI support (Closes: #432432).
  * Switched from Source-Version to binary:Version.
  * Do not suppress make clean output any longer.

 -- Nico Golde <nion@debian.org>  Tue, 10 Jul 2007 18:18:08 +0200

libacpi (0.1-1) unstable; urgency=low

  * Initial release (Closes: #429573).

 -- Nico Golde <nion@debian.org>  Mon, 18 Jun 2007 22:11:10 +0200

=== debian/control ===
Source: libacpi
Priority: optional
Maintainer: Seunghun Han <kkamagui@gmail.com>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Section: libs
Homepage: http://www.ngolde.de/libacpi.html
Rules-Requires-Root: no

Package: libacpi-dev
Section: libdevel
Architecture: i386 ia64 amd64 arm64
Depends: ${misc:Depends}, libacpi0 (= ${binary:Version})
Description: development files for libacpi
 libacpi is a general purpose shared library for programs gathering
 ACPI data on Linux. It implements thermal zones, battery information,
 fan information and AC states.
 .
 This package contains the header files and static libraries needed to
 compile applications or shared objects that use libacpi.

Package: libacpi0
Architecture: i386 ia64 amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: general purpose library for ACPI
 libacpi is a general purpose shared library for programs gathering
 ACPI data on Linux. It implements thermal zones, battery information,
 fan information and AC states.
 .
 This package contains the shared library for libacpi.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp PREFIX=/usr install

=== debian/tests/control ===
Tests: build
Depends: libacpi-dev, build-essential
